#include <qtxmlpatterns_includes.h>

#include <smoke.h>
#include <qtxmlpatterns_smoke.h>

namespace __smokeqtxmlpatterns {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractMessageHandler
      switch(to) {
        case 20: return (void*)(QObject*)(QAbstractMessageHandler*)xptr;
        case 1: return (void*)(QAbstractMessageHandler*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractUriResolver
      switch(to) {
        case 20: return (void*)(QObject*)(QAbstractUriResolver*)xptr;
        case 2: return (void*)(QAbstractUriResolver*)xptr;
        default: return xptr;
      }
    case 3:   //QAbstractXmlNodeModel
      switch(to) {
        case 23: return (void*)(QSharedData*)(QAbstractXmlNodeModel*)xptr;
        case 3: return (void*)(QAbstractXmlNodeModel*)xptr;
        case 24: return (void*)(QSimpleXmlNodeModel*)(QAbstractXmlNodeModel*)xptr;
        default: return xptr;
      }
    case 4:   //QAbstractXmlReceiver
      switch(to) {
        case 4: return (void*)(QAbstractXmlReceiver*)xptr;
        case 44: return (void*)(QXmlSerializer*)(QAbstractXmlReceiver*)xptr;
        case 35: return (void*)(QXmlFormatter*)(QAbstractXmlReceiver*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChildEvent
      switch(to) {
        case 10: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 7: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDataStream
      switch(to) {
        case 8: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 9:   //QDebug
      switch(to) {
        case 9: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 10:   //QEvent
      switch(to) {
        case 10: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QHostAddress
      switch(to) {
        case 12: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 13:   //QIODevice
      switch(to) {
        case 20: return (void*)(QObject*)(QIODevice*)xptr;
        case 13: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 14:   //QIncompatibleFlag
      switch(to) {
        case 14: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 15:   //QMetaObject
      switch(to) {
        case 15: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 16:   //QNetworkAccessManager
      switch(to) {
        case 20: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 16: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 17:   //QNetworkCacheMetaData
      switch(to) {
        case 17: return (void*)(QNetworkCacheMetaData*)xptr;
        default: return xptr;
      }
    case 18:   //QNetworkCookie
      switch(to) {
        case 18: return (void*)(QNetworkCookie*)xptr;
        default: return xptr;
      }
    case 19:   //QNetworkInterface
      switch(to) {
        case 19: return (void*)(QNetworkInterface*)xptr;
        default: return xptr;
      }
    case 20:   //QObject
      switch(to) {
        case 20: return (void*)(QObject*)xptr;
        case 2: return (void*)(QAbstractUriResolver*)(QObject*)xptr;
        case 1: return (void*)(QAbstractMessageHandler*)(QObject*)xptr;
        default: return xptr;
      }
    case 21:   //QPatternist::Item
      switch(to) {
        case 21: return (void*)(QPatternist::Item*)xptr;
        default: return xptr;
      }
    case 22:   //QRegExp
      switch(to) {
        case 22: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 23:   //QSharedData
      switch(to) {
        case 23: return (void*)(QSharedData*)xptr;
        case 3: return (void*)(QAbstractXmlNodeModel*)(QSharedData*)xptr;
        case 24: return (void*)(QSimpleXmlNodeModel*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 24:   //QSimpleXmlNodeModel
      switch(to) {
        case 3: return (void*)(QAbstractXmlNodeModel*)(QSimpleXmlNodeModel*)xptr;
        case 23: return (void*)(QSharedData*)(QSimpleXmlNodeModel*)xptr;
        case 24: return (void*)(QSimpleXmlNodeModel*)xptr;
        default: return xptr;
      }
    case 25:   //QSourceLocation
      switch(to) {
        case 25: return (void*)(QSourceLocation*)xptr;
        default: return xptr;
      }
    case 26:   //QSslCertificate
      switch(to) {
        case 26: return (void*)(QSslCertificate*)xptr;
        default: return xptr;
      }
    case 27:   //QSslCipher
      switch(to) {
        case 27: return (void*)(QSslCipher*)xptr;
        default: return xptr;
      }
    case 28:   //QSslError
      switch(to) {
        case 28: return (void*)(QSslError*)xptr;
        default: return xptr;
      }
    case 29:   //QSslKey
      switch(to) {
        case 29: return (void*)(QSslKey*)xptr;
        default: return xptr;
      }
    case 30:   //QStringRef
      switch(to) {
        case 30: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 31:   //QTextCodec
      switch(to) {
        case 31: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 32:   //QTimerEvent
      switch(to) {
        case 10: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 32: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QUrl
      switch(to) {
        case 33: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 34:   //QVariant
      switch(to) {
        case 34: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 35:   //QXmlFormatter
      switch(to) {
        case 44: return (void*)(QXmlSerializer*)(QXmlFormatter*)xptr;
        case 4: return (void*)(QAbstractXmlReceiver*)(QXmlFormatter*)xptr;
        case 35: return (void*)(QXmlFormatter*)xptr;
        default: return xptr;
      }
    case 36:   //QXmlItem
      switch(to) {
        case 36: return (void*)(QXmlItem*)xptr;
        default: return xptr;
      }
    case 37:   //QXmlName
      switch(to) {
        case 37: return (void*)(QXmlName*)xptr;
        default: return xptr;
      }
    case 38:   //QXmlNamePool
      switch(to) {
        case 38: return (void*)(QXmlNamePool*)xptr;
        default: return xptr;
      }
    case 39:   //QXmlNodeModelIndex
      switch(to) {
        case 39: return (void*)(QXmlNodeModelIndex*)xptr;
        default: return xptr;
      }
    case 40:   //QXmlQuery
      switch(to) {
        case 40: return (void*)(QXmlQuery*)xptr;
        default: return xptr;
      }
    case 41:   //QXmlResultItems
      switch(to) {
        case 41: return (void*)(QXmlResultItems*)xptr;
        default: return xptr;
      }
    case 42:   //QXmlSchema
      switch(to) {
        case 42: return (void*)(QXmlSchema*)xptr;
        default: return xptr;
      }
    case 43:   //QXmlSchemaValidator
      switch(to) {
        case 43: return (void*)(QXmlSchemaValidator*)xptr;
        default: return xptr;
      }
    case 44:   //QXmlSerializer
      switch(to) {
        case 4: return (void*)(QAbstractXmlReceiver*)(QXmlSerializer*)xptr;
        case 44: return (void*)(QXmlSerializer*)xptr;
        case 35: return (void*)(QXmlFormatter*)(QXmlSerializer*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    20, 0,	// 1: QObject
    23, 0,	// 3: QSharedData
    3, 0,	// 5: QAbstractXmlNodeModel
    44, 0,	// 7: QXmlSerializer
    4, 0,	// 9: QAbstractXmlReceiver
};

// These are the xenum functions for manipulating enum pointers
void xenum_QXmlQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractXmlNodeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QXmlNodeModelIndex(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QAbstractMessageHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QAbstractUriResolver(Smoke::Index, void*, Smoke::Stack);
void xcall_QAbstractXmlNodeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QAbstractXmlReceiver(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSimpleXmlNodeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSourceLocation(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlFormatter(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlName(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlNamePool(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlNodeModelIndex(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlResultItems(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlSchema(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlSchemaValidator(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlSerializer(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractMessageHandler", false, 1, xcall_QAbstractMessageHandler, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractMessageHandler) },	//1
    { "QAbstractUriResolver", false, 1, xcall_QAbstractUriResolver, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractUriResolver) },	//2
    { "QAbstractXmlNodeModel", false, 3, xcall_QAbstractXmlNodeModel, xenum_QAbstractXmlNodeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractXmlNodeModel) },	//3
    { "QAbstractXmlReceiver", false, 0, xcall_QAbstractXmlReceiver, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractXmlReceiver) },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//8
    { "QDebug", true, 0, 0, 0, 0, 0 },	//9
    { "QEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//11
    { "QHostAddress", true, 0, 0, 0, 0, 0 },	//12
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//13
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//14
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//15
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//16
    { "QNetworkCacheMetaData", true, 0, 0, 0, 0, 0 },	//17
    { "QNetworkCookie", true, 0, 0, 0, 0, 0 },	//18
    { "QNetworkInterface", true, 0, 0, 0, 0, 0 },	//19
    { "QObject", true, 0, 0, 0, 0, 0 },	//20
    { "QPatternist::Item", true, 0, 0, 0, 0, 0 },	//21
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//22
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//23
    { "QSimpleXmlNodeModel", false, 5, xcall_QSimpleXmlNodeModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSimpleXmlNodeModel) },	//24
    { "QSourceLocation", false, 0, xcall_QSourceLocation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSourceLocation) },	//25
    { "QSslCertificate", true, 0, 0, 0, 0, 0 },	//26
    { "QSslCipher", true, 0, 0, 0, 0, 0 },	//27
    { "QSslError", true, 0, 0, 0, 0, 0 },	//28
    { "QSslKey", true, 0, 0, 0, 0, 0 },	//29
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//30
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//31
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QUrl", true, 0, 0, 0, 0, 0 },	//33
    { "QVariant", true, 0, 0, 0, 0, 0 },	//34
    { "QXmlFormatter", false, 7, xcall_QXmlFormatter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlFormatter) },	//35
    { "QXmlItem", false, 0, xcall_QXmlItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlItem) },	//36
    { "QXmlName", false, 0, xcall_QXmlName, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlName) },	//37
    { "QXmlNamePool", false, 0, xcall_QXmlNamePool, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlNamePool) },	//38
    { "QXmlNodeModelIndex", false, 0, xcall_QXmlNodeModelIndex, xenum_QXmlNodeModelIndex, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlNodeModelIndex) },	//39
    { "QXmlQuery", false, 0, xcall_QXmlQuery, xenum_QXmlQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlQuery) },	//40
    { "QXmlResultItems", false, 0, xcall_QXmlResultItems, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlResultItems) },	//41
    { "QXmlSchema", false, 0, xcall_QXmlSchema, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlSchema) },	//42
    { "QXmlSchemaValidator", false, 0, xcall_QXmlSchemaValidator, 0, Smoke::cf_constructor, sizeof(QXmlSchemaValidator) },	//43
    { "QXmlSerializer", false, 9, xcall_QXmlSerializer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlSerializer) },	//44
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractMessageHandler*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QAbstractSocket::SocketError", 0, Smoke::t_enum|Smoke::tf_stack },	//2
    { "QAbstractSocket::SocketState", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractUriResolver*", 2, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QAbstractXmlNodeModel*", 3, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QAbstractXmlNodeModel::NodeCopySetting", 3, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractXmlNodeModel::SimpleAxis", 3, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractXmlReceiver*", 4, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QAbstractXmlReceiver* const", 4, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//10
    { "QChildEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDataStream&", 8, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 9, Smoke::t_class|Smoke::tf_stack },	//13
    { "QEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QFlags<QNetworkConfigurationManager::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<QNetworkInterface::InterfaceFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFlags<QNetworkProxy::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//17
    { "QFlags<QSsl::SslOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//18
    { "QFlags<QUdpSocket::BindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//19
    { "QHostAddress&", 12, Smoke::t_class|Smoke::tf_ref },	//20
    { "QHostAddress::SpecialAddress", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "QIODevice*", 13, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QIncompatibleFlag", 14, Smoke::t_class|Smoke::tf_stack },	//23
    { "QLocalSocket::LocalSocketError", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QLocalSocket::LocalSocketState", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QMetaObject::Call", 15, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QNetworkAccessManager*", 16, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QNetworkCacheMetaData&", 17, Smoke::t_class|Smoke::tf_ref },	//28
    { "QNetworkConfigurationManager::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QNetworkInterface::InterfaceFlag", 19, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QNetworkProxy::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QObject*", 20, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QRegExp&", 22, Smoke::t_class|Smoke::tf_ref },	//33
    { "QSimpleXmlNodeModel*", 24, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QSourceLocation", 25, Smoke::t_class|Smoke::tf_stack },	//35
    { "QSourceLocation&", 25, Smoke::t_class|Smoke::tf_ref },	//36
    { "QSourceLocation*", 25, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QSsl::AlternateNameEntryType", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QSsl::EncodingFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QSsl::KeyAlgorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QSsl::KeyType", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QSsl::SslOption", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "QSsl::SslProtocol", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "QSslCertificate::SubjectInfo", 26, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//46
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//48
    { "QTimerEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QUdpSocket::BindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QUrl", 33, Smoke::t_class|Smoke::tf_stack },	//51
    { "QVariant", 34, Smoke::t_class|Smoke::tf_stack },	//52
    { "QVector<QXmlName>", 0, Smoke::t_voidp|Smoke::tf_stack },	//53
    { "QVector<QXmlNodeModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//54
    { "QXmlFormatter*", 35, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QXmlItem", 36, Smoke::t_class|Smoke::tf_stack },	//56
    { "QXmlItem&", 36, Smoke::t_class|Smoke::tf_ref },	//57
    { "QXmlItem*", 36, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QXmlName", 37, Smoke::t_class|Smoke::tf_stack },	//59
    { "QXmlName&", 37, Smoke::t_class|Smoke::tf_ref },	//60
    { "QXmlName*", 37, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QXmlName::Constant", 37, Smoke::t_enum|Smoke::tf_stack },	//62
    { "QXmlNamePool", 38, Smoke::t_class|Smoke::tf_stack },	//63
    { "QXmlNamePool&", 38, Smoke::t_class|Smoke::tf_ref },	//64
    { "QXmlNamePool*", 38, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QXmlNodeModelIndex", 39, Smoke::t_class|Smoke::tf_stack },	//66
    { "QXmlNodeModelIndex*", 39, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QXmlNodeModelIndex::Axis", 39, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QXmlNodeModelIndex::Constants", 39, Smoke::t_enum|Smoke::tf_stack },	//69
    { "QXmlNodeModelIndex::DocumentOrder", 39, Smoke::t_enum|Smoke::tf_stack },	//70
    { "QXmlNodeModelIndex::NodeKind", 39, Smoke::t_enum|Smoke::tf_stack },	//71
    { "QXmlQuery&", 40, Smoke::t_class|Smoke::tf_ref },	//72
    { "QXmlQuery*", 40, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QXmlQuery::QueryLanguage", 40, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QXmlResultItems*", 41, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QXmlSchema", 42, Smoke::t_class|Smoke::tf_stack },	//76
    { "QXmlSchema*", 42, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QXmlSchemaValidator*", 43, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QXmlSerializer*", 44, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QXmlSerializer::State", 44, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QtMsgType", 11, Smoke::t_enum|Smoke::tf_stack },	//155
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//156
    { "const QAbstractUriResolver*", 2, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//157
    { "const QAbstractXmlNodeModel*", 3, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//158
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//159
    { "const QFlags<QAbstractXmlNodeModel::NodeCopySetting>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//160
    { "const QHostAddress&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//161
    { "const QMetaObject&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//162
    { "const QMetaObject*", 15, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//163
    { "const QNetworkCacheMetaData&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//164
    { "const QNetworkCookie&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//165
    { "const QNetworkInterface&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//166
    { "const QPatternist::Item&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//167
    { "const QRegExp&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//168
    { "const QSourceLocation&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//169
    { "const QSslCertificate&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//170
    { "const QSslCipher&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//171
    { "const QSslError&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//172
    { "const QSslError::SslError&", 28, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//173
    { "const QSslKey&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//174
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//175
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//176
    { "const QStringRef&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const QTextCodec*", 31, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//178
    { "const QUrl&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const QVariant&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const QXmlItem&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const QXmlName&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const QXmlNamePool&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const QXmlNodeModelIndex&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const QXmlQuery&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const QXmlSchema&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//187
    { "const short", 0, Smoke::t_short|Smoke::tf_stack|Smoke::tf_const },	//188
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//189
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//190
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//191
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//192
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//193
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//194
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//195
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//196
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//197
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    187, 0,	//1  const char*
    187, 187, 0,	//3  const char*, const char*
    187, 187, 190, 0,	//6  const char*, const char*, int
    26, 190, 196, 0,	//10  QMetaObject::Call, int, void**
    32, 0,	//14  QObject*
    155, 175, 179, 169, 0,	//16  QtMsgType, const QString&, const QUrl&, const QSourceLocation&
    155, 175, 0,	//21  QtMsgType, const QString&
    155, 175, 179, 0,	//24  QtMsgType, const QString&, const QUrl&
    179, 179, 0,	//28  const QUrl&, const QUrl&
    184, 0,	//31  const QXmlNodeModelIndex&
    184, 184, 0,	//33  const QXmlNodeModelIndex&, const QXmlNodeModelIndex&
    184, 188, 0,	//36  const QXmlNodeModelIndex&, const short
    184, 9, 0,	//39  const QXmlNodeModelIndex&, QAbstractXmlReceiver* const
    182, 0,	//42  const QXmlName&
    184, 9, 160, 0,	//44  const QXmlNodeModelIndex&, QAbstractXmlReceiver* const, const QFlags<QAbstractXmlNodeModel::NodeCopySetting>&
    7, 184, 0,	//48  QAbstractXmlNodeModel::SimpleAxis, const QXmlNodeModelIndex&
    192, 0,	//51  long long
    195, 192, 0,	//53  void*, long long
    192, 192, 0,	//56  long long, long long
    195, 0,	//59  void*
    182, 177, 0,	//61  const QXmlName&, const QStringRef&
    175, 0,	//64  const QString&
    177, 0,	//66  const QStringRef&
    182, 175, 0,	//68  const QXmlName&, const QString&
    180, 0,	//71  const QVariant&
    167, 0,	//73  const QPatternist::Item&
    13, 161, 0,	//75  QDebug, const QHostAddress&
    13, 24, 0,	//78  QDebug, QLocalSocket::LocalSocketError
    12, 161, 0,	//81  QDataStream&, const QHostAddress&
    13, 173, 0,	//84  QDebug, const QSslError::SslError&
    13, 170, 0,	//87  QDebug, const QSslCertificate&
    30, 30, 0,	//90  QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag
    30, 16, 0,	//93  QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>
    21, 161, 0,	//96  QHostAddress::SpecialAddress, const QHostAddress&
    169, 0,	//99  const QSourceLocation&
    50, 190, 0,	//101  QUdpSocket::BindFlag, int
    50, 19, 0,	//104  QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>
    13, 172, 0,	//107  QDebug, const QSslError&
    13, 3, 0,	//110  QDebug, QAbstractSocket::SocketState
    13, 2, 0,	//113  QDebug, QAbstractSocket::SocketError
    13, 169, 0,	//116  QDebug, const QSourceLocation&
    42, 190, 0,	//119  QSsl::SslOption, int
    13, 44, 0,	//122  QDebug, QSslCertificate::SubjectInfo
    13, 174, 0,	//125  QDebug, const QSslKey&
    161, 0,	//128  const QHostAddress&
    12, 20, 0,	//130  QDataStream&, QHostAddress&
    12, 164, 0,	//133  QDataStream&, const QNetworkCacheMetaData&
    31, 31, 0,	//136  QNetworkProxy::Capability, QNetworkProxy::Capability
    29, 15, 0,	//139  QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>
    50, 50, 0,	//142  QUdpSocket::BindFlag, QUdpSocket::BindFlag
    31, 190, 0,	//145  QNetworkProxy::Capability, int
    13, 165, 0,	//148  QDebug, const QNetworkCookie&
    13, 25, 0,	//151  QDebug, QLocalSocket::LocalSocketState
    181, 0,	//154  const QXmlItem&
    13, 166, 0,	//156  QDebug, const QNetworkInterface&
    13, 171, 0,	//159  QDebug, const QSslCipher&
    42, 42, 0,	//162  QSsl::SslOption, QSsl::SslOption
    12, 28, 0,	//165  QDataStream&, QNetworkCacheMetaData&
    31, 17, 0,	//168  QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>
    30, 190, 0,	//171  QNetworkInterface::InterfaceFlag, int
    29, 29, 0,	//174  QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability
    42, 18, 0,	//177  QSsl::SslOption, QFlags<QSsl::SslOption>
    29, 190, 0,	//180  QNetworkConfigurationManager::Capability, int
    14, 0,	//183  QEvent*
    32, 14, 0,	//185  QObject*, QEvent*
    49, 0,	//188  QTimerEvent*
    11, 0,	//190  QChildEvent*
    183, 0,	//192  const QXmlNamePool&
    179, 190, 190, 0,	//194  const QUrl&, int, int
    179, 0,	//198  const QUrl&
    179, 190, 0,	//200  const QUrl&, int
    185, 22, 0,	//203  const QXmlQuery&, QIODevice*
    190, 0,	//206  int
    64, 175, 175, 175, 0,	//208  QXmlNamePool&, const QString&, const QString&, const QString&
    175, 183, 0,	//213  const QString&, const QXmlNamePool&
    64, 175, 0,	//216  QXmlNamePool&, const QString&
    64, 175, 175, 0,	//219  QXmlNamePool&, const QString&, const QString&
    185, 0,	//223  const QXmlQuery&
    74, 183, 0,	//225  QXmlQuery::QueryLanguage, const QXmlNamePool&
    1, 0,	//228  QAbstractMessageHandler*
    175, 179, 0,	//230  const QString&, const QUrl&
    22, 179, 0,	//233  QIODevice*, const QUrl&
    182, 181, 0,	//236  const QXmlName&, const QXmlItem&
    175, 181, 0,	//239  const QString&, const QXmlItem&
    182, 22, 0,	//242  const QXmlName&, QIODevice*
    175, 22, 0,	//245  const QString&, QIODevice*
    182, 185, 0,	//248  const QXmlName&, const QXmlQuery&
    175, 185, 0,	//251  const QString&, const QXmlQuery&
    75, 0,	//254  QXmlResultItems*
    8, 0,	//256  QAbstractXmlReceiver*
    48, 0,	//258  QStringList*
    22, 0,	//260  QIODevice*
    46, 0,	//262  QString*
    157, 0,	//264  const QAbstractUriResolver*
    27, 0,	//266  QNetworkAccessManager*
    74, 0,	//268  QXmlQuery::QueryLanguage
    186, 0,	//270  const QXmlSchema&
    159, 179, 0,	//272  const QByteArray&, const QUrl&
    159, 0,	//275  const QByteArray&
    178, 0,	//277  const QTextCodec*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Attribute",	//1
    "AxisAncestor",	//2
    "AxisAncestorOrSelf",	//3
    "AxisAttribute",	//4
    "AxisAttributeOrTop",	//5
    "AxisChild",	//6
    "AxisChildOrTop",	//7
    "AxisDescendant",	//8
    "AxisDescendantOrSelf",	//9
    "AxisFollowing",	//10
    "AxisFollowingSibling",	//11
    "AxisNamespace",	//12
    "AxisParent",	//13
    "AxisPreceding",	//14
    "AxisPrecedingSibling",	//15
    "AxisSelf",	//16
    "Comment",	//17
    "Document",	//18
    "Element",	//19
    "FirstChild",	//20
    "Follows",	//21
    "InheritNamespaces",	//22
    "Is",	//23
    "Namespace",	//24
    "NextSibling",	//25
    "Parent",	//26
    "Precedes",	//27
    "PreserveNamespaces",	//28
    "PreviousSibling",	//29
    "ProcessingInstruction",	//30
    "QAbstractMessageHandler",	//31
    "QAbstractMessageHandler#",	//32
    "QAbstractUriResolver",	//33
    "QAbstractUriResolver#",	//34
    "QAbstractXmlNodeModel",	//35
    "QAbstractXmlReceiver",	//36
    "QSimpleXmlNodeModel",	//37
    "QSimpleXmlNodeModel#",	//38
    "QSourceLocation",	//39
    "QSourceLocation#",	//40
    "QSourceLocation#$",	//41
    "QSourceLocation#$$",	//42
    "QXmlFormatter",	//43
    "QXmlFormatter##",	//44
    "QXmlItem",	//45
    "QXmlItem#",	//46
    "QXmlName",	//47
    "QXmlName#",	//48
    "QXmlName#$",	//49
    "QXmlName#$$",	//50
    "QXmlName#$$$",	//51
    "QXmlNamePool",	//52
    "QXmlNamePool#",	//53
    "QXmlNodeModelIndex",	//54
    "QXmlNodeModelIndex#",	//55
    "QXmlQuery",	//56
    "QXmlQuery#",	//57
    "QXmlQuery$",	//58
    "QXmlQuery$#",	//59
    "QXmlResultItems",	//60
    "QXmlSchema",	//61
    "QXmlSchema#",	//62
    "QXmlSchemaValidator",	//63
    "QXmlSchemaValidator#",	//64
    "QXmlSerializer",	//65
    "QXmlSerializer##",	//66
    "Text",	//67
    "XPath20",	//68
    "XQuery10",	//69
    "XSLT20",	//70
    "XmlSchema11IdentityConstraintField",	//71
    "XmlSchema11IdentityConstraintSelector",	//72
    "additionalData",	//73
    "atomicValue",	//74
    "atomicValue#",	//75
    "attribute",	//76
    "attribute##",	//77
    "attributes",	//78
    "attributes#",	//79
    "baseUri",	//80
    "baseUri#",	//81
    "bindVariable",	//82
    "bindVariable##",	//83
    "bindVariable$#",	//84
    "characters",	//85
    "characters#",	//86
    "childEvent",	//87
    "codec",	//88
    "column",	//89
    "comment",	//90
    "comment$",	//91
    "compareOrder",	//92
    "compareOrder##",	//93
    "connectNotify",	//94
    "copyNodeTo",	//95
    "copyNodeTo###",	//96
    "createIndex",	//97
    "createIndex$",	//98
    "createIndex$$",	//99
    "current",	//100
    "customEvent",	//101
    "data",	//102
    "disconnectNotify",	//103
    "documentUri",	//104
    "documentUri#",	//105
    "elementById",	//106
    "elementById#",	//107
    "endDocument",	//108
    "endElement",	//109
    "endOfSequence",	//110
    "evaluateTo",	//111
    "evaluateTo#",	//112
    "evaluateTo$",	//113
    "evaluateTo?",	//114
    "event",	//115
    "eventFilter",	//116
    "fromClarkName",	//117
    "fromClarkName$#",	//118
    "handleMessage",	//119
    "handleMessage$$##",	//120
    "hasError",	//121
    "indentationDepth",	//122
    "initialTemplateName",	//123
    "internalPointer",	//124
    "isAtomicValue",	//125
    "isDeepEqual",	//126
    "isDeepEqual##",	//127
    "isNCName",	//128
    "isNCName$",	//129
    "isNode",	//130
    "isNull",	//131
    "isValid",	//132
    "item",	//133
    "item#",	//134
    "kind",	//135
    "kind#",	//136
    "line",	//137
    "load",	//138
    "load#",	//139
    "load##",	//140
    "localName",	//141
    "localName#",	//142
    "message",	//143
    "message$$",	//144
    "message$$#",	//145
    "message$$##",	//146
    "messageHandler",	//147
    "metaObject",	//148
    "model",	//149
    "name",	//150
    "name#",	//151
    "namePool",	//152
    "namespaceBinding",	//153
    "namespaceBinding#",	//154
    "namespaceBindings",	//155
    "namespaceBindings#",	//156
    "namespaceForPrefix",	//157
    "namespaceForPrefix#$",	//158
    "namespaceUri",	//159
    "namespaceUri#",	//160
    "networkAccessManager",	//161
    "next",	//162
    "nextFromSimpleAxis",	//163
    "nextFromSimpleAxis$#",	//164
    "nodesByIdref",	//165
    "nodesByIdref#",	//166
    "operator!=",	//167
    "operator!=#",	//168
    "operator<<",	//169
    "operator<<##",	//170
    "operator<<#$",	//171
    "operator=",	//172
    "operator=#",	//173
    "operator==",	//174
    "operator==#",	//175
    "operator==$#",	//176
    "operator>>",	//177
    "operator>>##",	//178
    "operator|",	//179
    "operator|$$",	//180
    "outputDevice",	//181
    "prefix",	//182
    "prefix#",	//183
    "processingInstruction",	//184
    "processingInstruction#$",	//185
    "qHash",	//186
    "qHash#",	//187
    "qIsForwardIteratorEnd",	//188
    "qIsForwardIteratorEnd#",	//189
    "qt_metacall",	//190
    "qt_metacall$$?",	//191
    "qt_metacast",	//192
    "qt_metacast$",	//193
    "queryLanguage",	//194
    "reset",	//195
    "resolve",	//196
    "resolve##",	//197
    "root",	//198
    "root#",	//199
    "schema",	//200
    "sendAsNode",	//201
    "sendAsNode#",	//202
    "sendNamespaces",	//203
    "sendNamespaces##",	//204
    "setCodec",	//205
    "setCodec#",	//206
    "setColumn",	//207
    "setColumn$",	//208
    "setFocus",	//209
    "setFocus#",	//210
    "setFocus$",	//211
    "setIndentationDepth",	//212
    "setIndentationDepth$",	//213
    "setInitialTemplateName",	//214
    "setInitialTemplateName#",	//215
    "setInitialTemplateName$",	//216
    "setLine",	//217
    "setLine$",	//218
    "setMessageHandler",	//219
    "setMessageHandler#",	//220
    "setNetworkAccessManager",	//221
    "setNetworkAccessManager#",	//222
    "setQuery",	//223
    "setQuery#",	//224
    "setQuery##",	//225
    "setQuery$",	//226
    "setQuery$#",	//227
    "setSchema",	//228
    "setSchema#",	//229
    "setUri",	//230
    "setUri#",	//231
    "setUriResolver",	//232
    "setUriResolver#",	//233
    "sourceLocation",	//234
    "sourceLocation#",	//235
    "startDocument",	//236
    "startElement",	//237
    "startElement#",	//238
    "startOfSequence",	//239
    "staticMetaObject",	//240
    "stringValue",	//241
    "stringValue#",	//242
    "timerEvent",	//243
    "toAtomicValue",	//244
    "toClarkName",	//245
    "toClarkName#",	//246
    "toNodeModelIndex",	//247
    "tr",	//248
    "tr$",	//249
    "tr$$",	//250
    "tr$$$",	//251
    "trUtf8",	//252
    "trUtf8$",	//253
    "trUtf8$$",	//254
    "trUtf8$$$",	//255
    "typedValue",	//256
    "typedValue#",	//257
    "uri",	//258
    "uriResolver",	//259
    "validate",	//260
    "validate#",	//261
    "validate##",	//262
    "whitespaceOnly",	//263
    "whitespaceOnly#",	//264
    "~QAbstractMessageHandler",	//265
    "~QAbstractUriResolver",	//266
    "~QAbstractXmlNodeModel",	//267
    "~QAbstractXmlReceiver",	//268
    "~QSimpleXmlNodeModel",	//269
    "~QSourceLocation",	//270
    "~QXmlFormatter",	//271
    "~QXmlItem",	//272
    "~QXmlName",	//273
    "~QXmlNamePool",	//274
    "~QXmlNodeModelIndex",	//275
    "~QXmlQuery",	//276
    "~QXmlResultItems",	//277
    "~QXmlSchema",	//278
    "~QXmlSchemaValidator",	//279
    "~QXmlSerializer",	//280
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 148, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 163, 1},	//1 QAbstractMessageHandler::metaObject() const
    {1, 192, 1, 1, Smoke::mf_virtual, 195, 2},	//2 QAbstractMessageHandler::qt_metacast(const char*)
    {1, 248, 3, 2, Smoke::mf_static, 45, 3},	//3 QAbstractMessageHandler::tr(const char*, const char*)
    {1, 252, 3, 2, Smoke::mf_static, 45, 4},	//4 QAbstractMessageHandler::trUtf8(const char*, const char*)
    {1, 248, 6, 3, Smoke::mf_static, 45, 5},	//5 QAbstractMessageHandler::tr(const char*, const char*, int)
    {1, 252, 6, 3, Smoke::mf_static, 45, 6},	//6 QAbstractMessageHandler::trUtf8(const char*, const char*, int)
    {1, 190, 10, 3, Smoke::mf_virtual, 190, 7},	//7 QAbstractMessageHandler::qt_metacall(QMetaObject::Call, int, void**)
    {1, 31, 14, 1, Smoke::mf_ctor, 1, 8},	//8 QAbstractMessageHandler::QAbstractMessageHandler(QObject*)
    {1, 143, 16, 4, 0, 0, 9},	//9 QAbstractMessageHandler::message(QtMsgType, const QString&, const QUrl&, const QSourceLocation&)
    {1, 119, 16, 4, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//10 QAbstractMessageHandler::handleMessage(QtMsgType, const QString&, const QUrl&, const QSourceLocation&) [pure virtual]
    {1, 248, 1, 1, Smoke::mf_static, 45, 11},	//11 QAbstractMessageHandler::tr(const char*)
    {1, 252, 1, 1, Smoke::mf_static, 45, 12},	//12 QAbstractMessageHandler::trUtf8(const char*)
    {1, 31, 0, 0, Smoke::mf_ctor, 1, 13},	//13 QAbstractMessageHandler::QAbstractMessageHandler()
    {1, 143, 21, 2, 0, 0, 14},	//14 QAbstractMessageHandler::message(QtMsgType, const QString&)
    {1, 143, 24, 3, 0, 0, 15},	//15 QAbstractMessageHandler::message(QtMsgType, const QString&, const QUrl&)
    {1, 240, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 162, 16},	//16 QAbstractMessageHandler::staticMetaObject() const
    {1, 265, 0, 0, Smoke::mf_dtor, 0, 17 },	//17 QAbstractMessageHandler::~QAbstractMessageHandler()
    {2, 148, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 163, 1},	//18 QAbstractUriResolver::metaObject() const
    {2, 192, 1, 1, Smoke::mf_virtual, 195, 2},	//19 QAbstractUriResolver::qt_metacast(const char*)
    {2, 248, 3, 2, Smoke::mf_static, 45, 3},	//20 QAbstractUriResolver::tr(const char*, const char*)
    {2, 252, 3, 2, Smoke::mf_static, 45, 4},	//21 QAbstractUriResolver::trUtf8(const char*, const char*)
    {2, 248, 6, 3, Smoke::mf_static, 45, 5},	//22 QAbstractUriResolver::tr(const char*, const char*, int)
    {2, 252, 6, 3, Smoke::mf_static, 45, 6},	//23 QAbstractUriResolver::trUtf8(const char*, const char*, int)
    {2, 190, 10, 3, Smoke::mf_virtual, 190, 7},	//24 QAbstractUriResolver::qt_metacall(QMetaObject::Call, int, void**)
    {2, 33, 14, 1, Smoke::mf_ctor, 4, 8},	//25 QAbstractUriResolver::QAbstractUriResolver(QObject*)
    {2, 196, 28, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 9},	//26 QAbstractUriResolver::resolve(const QUrl&, const QUrl&) const [pure virtual]
    {2, 248, 1, 1, Smoke::mf_static, 45, 10},	//27 QAbstractUriResolver::tr(const char*)
    {2, 252, 1, 1, Smoke::mf_static, 45, 11},	//28 QAbstractUriResolver::trUtf8(const char*)
    {2, 33, 0, 0, Smoke::mf_ctor, 4, 12},	//29 QAbstractUriResolver::QAbstractUriResolver()
    {2, 240, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 162, 13},	//30 QAbstractUriResolver::staticMetaObject() const
    {2, 266, 0, 0, Smoke::mf_dtor, 0, 14 },	//31 QAbstractUriResolver::~QAbstractUriResolver()
    {3, 35, 0, 0, Smoke::mf_ctor, 5, 1},	//32 QAbstractXmlNodeModel::QAbstractXmlNodeModel()
    {3, 80, 31, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 2},	//33 QAbstractXmlNodeModel::baseUri(const QXmlNodeModelIndex&) const [pure virtual]
    {3, 104, 31, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 3},	//34 QAbstractXmlNodeModel::documentUri(const QXmlNodeModelIndex&) const [pure virtual]
    {3, 135, 31, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 71, 4},	//35 QAbstractXmlNodeModel::kind(const QXmlNodeModelIndex&) const [pure virtual]
    {3, 92, 33, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 70, 5},	//36 QAbstractXmlNodeModel::compareOrder(const QXmlNodeModelIndex&, const QXmlNodeModelIndex&) const [pure virtual]
    {3, 198, 31, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 66, 6},	//37 QAbstractXmlNodeModel::root(const QXmlNodeModelIndex&) const [pure virtual]
    {3, 150, 31, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 59, 7},	//38 QAbstractXmlNodeModel::name(const QXmlNodeModelIndex&) const [pure virtual]
    {3, 241, 31, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 45, 8},	//39 QAbstractXmlNodeModel::stringValue(const QXmlNodeModelIndex&) const [pure virtual]
    {3, 256, 31, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 52, 9},	//40 QAbstractXmlNodeModel::typedValue(const QXmlNodeModelIndex&) const [pure virtual]
    {3, 157, 36, 2, Smoke::mf_const|Smoke::mf_virtual, 193, 10},	//41 QAbstractXmlNodeModel::namespaceForPrefix(const QXmlNodeModelIndex&, const short) const
    {3, 126, 33, 2, Smoke::mf_const|Smoke::mf_virtual, 156, 11},	//42 QAbstractXmlNodeModel::isDeepEqual(const QXmlNodeModelIndex&, const QXmlNodeModelIndex&) const
    {3, 203, 39, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 12},	//43 QAbstractXmlNodeModel::sendNamespaces(const QXmlNodeModelIndex&, QAbstractXmlReceiver* const) const
    {3, 155, 31, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 53, 13},	//44 QAbstractXmlNodeModel::namespaceBindings(const QXmlNodeModelIndex&) const [pure virtual]
    {3, 106, 42, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 66, 14},	//45 QAbstractXmlNodeModel::elementById(const QXmlName&) const [pure virtual]
    {3, 165, 42, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 54, 15},	//46 QAbstractXmlNodeModel::nodesByIdref(const QXmlName&) const [pure virtual]
    {3, 95, 44, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 16},	//47 QAbstractXmlNodeModel::copyNodeTo(const QXmlNodeModelIndex&, QAbstractXmlReceiver* const, const QFlags<QAbstractXmlNodeModel::NodeCopySetting>&) const
    {3, 234, 31, 1, Smoke::mf_const, 35, 17},	//48 QAbstractXmlNodeModel::sourceLocation(const QXmlNodeModelIndex&) const
    {3, 163, 48, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 66, 18},	//49 QAbstractXmlNodeModel::nextFromSimpleAxis(QAbstractXmlNodeModel::SimpleAxis, const QXmlNodeModelIndex&) const [pure virtual]
    {3, 78, 31, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 54, 19},	//50 QAbstractXmlNodeModel::attributes(const QXmlNodeModelIndex&) const [pure virtual]
    {3, 97, 51, 1, Smoke::mf_const|Smoke::mf_protected, 66, 20},	//51 QAbstractXmlNodeModel::createIndex(long long) const
    {3, 97, 53, 2, Smoke::mf_const|Smoke::mf_protected, 66, 21},	//52 QAbstractXmlNodeModel::createIndex(void*, long long) const
    {3, 97, 56, 2, Smoke::mf_const|Smoke::mf_protected, 66, 22},	//53 QAbstractXmlNodeModel::createIndex(long long, long long) const
    {3, 97, 59, 1, Smoke::mf_const|Smoke::mf_protected, 66, 23},	//54 QAbstractXmlNodeModel::createIndex(void*) const
    {3, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 24},	//55 QAbstractXmlNodeModel::Parent (enum)
    {3, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 25},	//56 QAbstractXmlNodeModel::FirstChild (enum)
    {3, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 26},	//57 QAbstractXmlNodeModel::PreviousSibling (enum)
    {3, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 27},	//58 QAbstractXmlNodeModel::NextSibling (enum)
    {3, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 28},	//59 QAbstractXmlNodeModel::InheritNamespaces (enum)
    {3, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 29},	//60 QAbstractXmlNodeModel::PreserveNamespaces (enum)
    {3, 267, 0, 0, Smoke::mf_dtor, 0, 30 },	//61 QAbstractXmlNodeModel::~QAbstractXmlNodeModel()
    {4, 36, 0, 0, Smoke::mf_ctor, 8, 1},	//62 QAbstractXmlReceiver::QAbstractXmlReceiver()
    {4, 237, 42, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//63 QAbstractXmlReceiver::startElement(const QXmlName&) [pure virtual]
    {4, 109, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//64 QAbstractXmlReceiver::endElement() [pure virtual]
    {4, 76, 61, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//65 QAbstractXmlReceiver::attribute(const QXmlName&, const QStringRef&) [pure virtual]
    {4, 90, 64, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//66 QAbstractXmlReceiver::comment(const QString&) [pure virtual]
    {4, 85, 66, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//67 QAbstractXmlReceiver::characters(const QStringRef&) [pure virtual]
    {4, 236, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//68 QAbstractXmlReceiver::startDocument() [pure virtual]
    {4, 108, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//69 QAbstractXmlReceiver::endDocument() [pure virtual]
    {4, 184, 68, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//70 QAbstractXmlReceiver::processingInstruction(const QXmlName&, const QString&) [pure virtual]
    {4, 74, 71, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//71 QAbstractXmlReceiver::atomicValue(const QVariant&) [pure virtual]
    {4, 153, 42, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//72 QAbstractXmlReceiver::namespaceBinding(const QXmlName&) [pure virtual]
    {4, 239, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//73 QAbstractXmlReceiver::startOfSequence() [pure virtual]
    {4, 110, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//74 QAbstractXmlReceiver::endOfSequence() [pure virtual]
    {4, 263, 66, 1, Smoke::mf_virtual, 0, 14},	//75 QAbstractXmlReceiver::whitespaceOnly(const QStringRef&)
    {4, 133, 73, 1, Smoke::mf_virtual, 0, 15},	//76 QAbstractXmlReceiver::item(const QPatternist::Item&)
    {4, 201, 73, 1, Smoke::mf_protected, 0, 16},	//77 QAbstractXmlReceiver::sendAsNode(const QPatternist::Item&)
    {4, 268, 0, 0, Smoke::mf_dtor, 0, 17 },	//78 QAbstractXmlReceiver::~QAbstractXmlReceiver()
    {11, 169, 75, 2, Smoke::mf_static, 13, 1},	//79 QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    {11, 169, 78, 2, Smoke::mf_static, 13, 2},	//80 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    {11, 169, 81, 2, Smoke::mf_static, 12, 3},	//81 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {11, 169, 84, 2, Smoke::mf_static, 13, 4},	//82 QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    {11, 169, 87, 2, Smoke::mf_static, 13, 5},	//83 QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    {11, 179, 90, 2, Smoke::mf_static, 16, 6},	//84 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    {11, 179, 93, 2, Smoke::mf_static, 16, 7},	//85 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    {11, 174, 96, 2, Smoke::mf_static, 156, 8},	//86 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {11, 186, 99, 1, Smoke::mf_static, 194, 9},	//87 QGlobalSpace::qHash(const QSourceLocation&)
    {11, 179, 101, 2, Smoke::mf_static, 23, 10},	//88 QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    {11, 179, 104, 2, Smoke::mf_static, 19, 11},	//89 QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    {11, 169, 107, 2, Smoke::mf_static, 13, 12},	//90 QGlobalSpace::operator<<(QDebug, const QSslError&)
    {11, 169, 110, 2, Smoke::mf_static, 13, 13},	//91 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    {11, 169, 113, 2, Smoke::mf_static, 13, 14},	//92 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    {11, 169, 116, 2, Smoke::mf_static, 13, 15},	//93 QGlobalSpace::operator<<(QDebug, const QSourceLocation&)
    {11, 179, 119, 2, Smoke::mf_static, 23, 16},	//94 QGlobalSpace::operator|(QSsl::SslOption, int)
    {11, 169, 122, 2, Smoke::mf_static, 13, 17},	//95 QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    {11, 169, 125, 2, Smoke::mf_static, 13, 18},	//96 QGlobalSpace::operator<<(QDebug, const QSslKey&)
    {11, 186, 31, 1, Smoke::mf_static, 194, 19},	//97 QGlobalSpace::qHash(const QXmlNodeModelIndex&)
    {11, 186, 128, 1, Smoke::mf_static, 194, 20},	//98 QGlobalSpace::qHash(const QHostAddress&)
    {11, 186, 42, 1, Smoke::mf_static, 194, 21},	//99 QGlobalSpace::qHash(const QXmlName&)
    {11, 177, 130, 2, Smoke::mf_static, 12, 22},	//100 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {11, 169, 133, 2, Smoke::mf_static, 12, 23},	//101 QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    {11, 179, 136, 2, Smoke::mf_static, 17, 24},	//102 QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    {11, 179, 139, 2, Smoke::mf_static, 15, 25},	//103 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    {11, 179, 142, 2, Smoke::mf_static, 19, 26},	//104 QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    {11, 188, 31, 1, Smoke::mf_static, 156, 27},	//105 QGlobalSpace::qIsForwardIteratorEnd(const QXmlNodeModelIndex&)
    {11, 179, 145, 2, Smoke::mf_static, 23, 28},	//106 QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    {11, 169, 148, 2, Smoke::mf_static, 13, 29},	//107 QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    {11, 169, 151, 2, Smoke::mf_static, 13, 30},	//108 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    {11, 188, 154, 1, Smoke::mf_static, 156, 31},	//109 QGlobalSpace::qIsForwardIteratorEnd(const QXmlItem&)
    {11, 169, 156, 2, Smoke::mf_static, 13, 32},	//110 QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    {11, 169, 159, 2, Smoke::mf_static, 13, 33},	//111 QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    {11, 179, 162, 2, Smoke::mf_static, 18, 34},	//112 QGlobalSpace::operator|(QSsl::SslOption, QSsl::SslOption)
    {11, 177, 165, 2, Smoke::mf_static, 12, 35},	//113 QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    {11, 179, 168, 2, Smoke::mf_static, 17, 36},	//114 QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    {11, 179, 171, 2, Smoke::mf_static, 23, 37},	//115 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    {11, 179, 174, 2, Smoke::mf_static, 15, 38},	//116 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    {11, 179, 177, 2, Smoke::mf_static, 18, 39},	//117 QGlobalSpace::operator|(QSsl::SslOption, QFlags<QSsl::SslOption>)
    {11, 179, 180, 2, Smoke::mf_static, 23, 40},	//118 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    {20, 115, 183, 1, Smoke::mf_virtual, 156, 0},	//119 QObject::event(QEvent*)
    {20, 116, 185, 2, Smoke::mf_virtual, 156, 0},	//120 QObject::eventFilter(QObject*, QEvent*)
    {20, 243, 188, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//121 QObject::timerEvent(QTimerEvent*)
    {20, 87, 190, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//122 QObject::childEvent(QChildEvent*)
    {20, 101, 183, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//123 QObject::customEvent(QEvent*)
    {20, 94, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//124 QObject::connectNotify(const char*)
    {20, 103, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//125 QObject::disconnectNotify(const char*)
    {24, 37, 192, 1, Smoke::mf_ctor, 34, 1},	//126 QSimpleXmlNodeModel::QSimpleXmlNodeModel(const QXmlNamePool&)
    {24, 80, 31, 1, Smoke::mf_const|Smoke::mf_virtual, 51, 2},	//127 QSimpleXmlNodeModel::baseUri(const QXmlNodeModelIndex&) const
    {24, 152, 0, 0, Smoke::mf_const, 64, 3},	//128 QSimpleXmlNodeModel::namePool() const
    {24, 155, 31, 1, Smoke::mf_const|Smoke::mf_virtual, 53, 4},	//129 QSimpleXmlNodeModel::namespaceBindings(const QXmlNodeModelIndex&) const
    {24, 241, 31, 1, Smoke::mf_const|Smoke::mf_virtual, 45, 5},	//130 QSimpleXmlNodeModel::stringValue(const QXmlNodeModelIndex&) const
    {24, 106, 42, 1, Smoke::mf_const|Smoke::mf_virtual, 66, 6},	//131 QSimpleXmlNodeModel::elementById(const QXmlName&) const
    {24, 165, 42, 1, Smoke::mf_const|Smoke::mf_virtual, 54, 7},	//132 QSimpleXmlNodeModel::nodesByIdref(const QXmlName&) const
    {24, 269, 0, 0, Smoke::mf_dtor, 0, 8 },	//133 QSimpleXmlNodeModel::~QSimpleXmlNodeModel()
    {25, 39, 0, 0, Smoke::mf_ctor, 37, 1},	//134 QSourceLocation::QSourceLocation()
    {25, 39, 99, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 2},	//135 QSourceLocation::QSourceLocation(const QSourceLocation&)
    {25, 39, 194, 3, Smoke::mf_ctor, 37, 3},	//136 QSourceLocation::QSourceLocation(const QUrl&, int, int)
    {25, 172, 99, 1, 0, 36, 4},	//137 QSourceLocation::operator=(const QSourceLocation&)
    {25, 174, 99, 1, Smoke::mf_const, 156, 5},	//138 QSourceLocation::operator==(const QSourceLocation&) const
    {25, 167, 99, 1, Smoke::mf_const, 156, 6},	//139 QSourceLocation::operator!=(const QSourceLocation&) const
    {25, 89, 0, 0, Smoke::mf_const, 192, 7},	//140 QSourceLocation::column() const
    {25, 207, 51, 1, 0, 0, 8},	//141 QSourceLocation::setColumn(long long)
    {25, 137, 0, 0, Smoke::mf_const, 192, 9},	//142 QSourceLocation::line() const
    {25, 217, 51, 1, 0, 0, 10},	//143 QSourceLocation::setLine(long long)
    {25, 258, 0, 0, Smoke::mf_const, 51, 11},	//144 QSourceLocation::uri() const
    {25, 230, 198, 1, 0, 0, 12},	//145 QSourceLocation::setUri(const QUrl&)
    {25, 131, 0, 0, Smoke::mf_const, 156, 13},	//146 QSourceLocation::isNull() const
    {25, 39, 198, 1, Smoke::mf_ctor, 37, 14},	//147 QSourceLocation::QSourceLocation(const QUrl&)
    {25, 39, 200, 2, Smoke::mf_ctor, 37, 15},	//148 QSourceLocation::QSourceLocation(const QUrl&, int)
    {25, 270, 0, 0, Smoke::mf_dtor, 0, 16 },	//149 QSourceLocation::~QSourceLocation()
    {35, 43, 203, 2, Smoke::mf_ctor, 55, 1},	//150 QXmlFormatter::QXmlFormatter(const QXmlQuery&, QIODevice*)
    {35, 85, 66, 1, Smoke::mf_virtual, 0, 2},	//151 QXmlFormatter::characters(const QStringRef&)
    {35, 90, 64, 1, Smoke::mf_virtual, 0, 3},	//152 QXmlFormatter::comment(const QString&)
    {35, 237, 42, 1, Smoke::mf_virtual, 0, 4},	//153 QXmlFormatter::startElement(const QXmlName&)
    {35, 109, 0, 0, Smoke::mf_virtual, 0, 5},	//154 QXmlFormatter::endElement()
    {35, 76, 61, 2, Smoke::mf_virtual, 0, 6},	//155 QXmlFormatter::attribute(const QXmlName&, const QStringRef&)
    {35, 184, 68, 2, Smoke::mf_virtual, 0, 7},	//156 QXmlFormatter::processingInstruction(const QXmlName&, const QString&)
    {35, 74, 71, 1, Smoke::mf_virtual, 0, 8},	//157 QXmlFormatter::atomicValue(const QVariant&)
    {35, 236, 0, 0, Smoke::mf_virtual, 0, 9},	//158 QXmlFormatter::startDocument()
    {35, 108, 0, 0, Smoke::mf_virtual, 0, 10},	//159 QXmlFormatter::endDocument()
    {35, 239, 0, 0, Smoke::mf_virtual, 0, 11},	//160 QXmlFormatter::startOfSequence()
    {35, 110, 0, 0, Smoke::mf_virtual, 0, 12},	//161 QXmlFormatter::endOfSequence()
    {35, 122, 0, 0, Smoke::mf_const, 190, 13},	//162 QXmlFormatter::indentationDepth() const
    {35, 212, 206, 1, 0, 0, 14},	//163 QXmlFormatter::setIndentationDepth(int)
    {35, 133, 73, 1, Smoke::mf_virtual, 0, 15},	//164 QXmlFormatter::item(const QPatternist::Item&)
    {35, 271, 0, 0, Smoke::mf_dtor, 0, 16 },	//165 QXmlFormatter::~QXmlFormatter()
    {36, 45, 0, 0, Smoke::mf_ctor, 58, 1},	//166 QXmlItem::QXmlItem()
    {36, 45, 154, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 2},	//167 QXmlItem::QXmlItem(const QXmlItem&)
    {36, 45, 31, 1, Smoke::mf_ctor, 58, 3},	//168 QXmlItem::QXmlItem(const QXmlNodeModelIndex&)
    {36, 45, 71, 1, Smoke::mf_ctor, 58, 4},	//169 QXmlItem::QXmlItem(const QVariant&)
    {36, 172, 154, 1, 0, 57, 5},	//170 QXmlItem::operator=(const QXmlItem&)
    {36, 131, 0, 0, Smoke::mf_const, 156, 6},	//171 QXmlItem::isNull() const
    {36, 130, 0, 0, Smoke::mf_const, 156, 7},	//172 QXmlItem::isNode() const
    {36, 125, 0, 0, Smoke::mf_const, 156, 8},	//173 QXmlItem::isAtomicValue() const
    {36, 244, 0, 0, Smoke::mf_const, 52, 9},	//174 QXmlItem::toAtomicValue() const
    {36, 247, 0, 0, Smoke::mf_const, 66, 10},	//175 QXmlItem::toNodeModelIndex() const
    {36, 272, 0, 0, Smoke::mf_dtor, 0, 11 },	//176 QXmlItem::~QXmlItem()
    {37, 47, 0, 0, Smoke::mf_ctor, 61, 1},	//177 QXmlName::QXmlName()
    {37, 47, 208, 4, Smoke::mf_ctor, 61, 2},	//178 QXmlName::QXmlName(QXmlNamePool&, const QString&, const QString&, const QString&)
    {37, 159, 192, 1, Smoke::mf_const, 45, 3},	//179 QXmlName::namespaceUri(const QXmlNamePool&) const
    {37, 182, 192, 1, Smoke::mf_const, 45, 4},	//180 QXmlName::prefix(const QXmlNamePool&) const
    {37, 141, 192, 1, Smoke::mf_const, 45, 5},	//181 QXmlName::localName(const QXmlNamePool&) const
    {37, 245, 192, 1, Smoke::mf_const, 45, 6},	//182 QXmlName::toClarkName(const QXmlNamePool&) const
    {37, 174, 42, 1, Smoke::mf_const, 156, 7},	//183 QXmlName::operator==(const QXmlName&) const
    {37, 167, 42, 1, Smoke::mf_const, 156, 8},	//184 QXmlName::operator!=(const QXmlName&) const
    {37, 172, 42, 1, 0, 60, 9},	//185 QXmlName::operator=(const QXmlName&)
    {37, 131, 0, 0, Smoke::mf_const, 156, 10},	//186 QXmlName::isNull() const
    {37, 128, 64, 1, Smoke::mf_static, 156, 11},	//187 QXmlName::isNCName(const QString&)
    {37, 117, 213, 2, Smoke::mf_static, 59, 12},	//188 QXmlName::fromClarkName(const QString&, const QXmlNamePool&)
    {37, 47, 42, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 13},	//189 QXmlName::QXmlName(const QXmlName&)
    {37, 47, 216, 2, Smoke::mf_ctor, 61, 14},	//190 QXmlName::QXmlName(QXmlNamePool&, const QString&)
    {37, 47, 219, 3, Smoke::mf_ctor, 61, 15},	//191 QXmlName::QXmlName(QXmlNamePool&, const QString&, const QString&)
    {37, 273, 0, 0, Smoke::mf_dtor, 0, 16 },	//192 QXmlName::~QXmlName()
    {38, 52, 0, 0, Smoke::mf_ctor, 65, 1},	//193 QXmlNamePool::QXmlNamePool()
    {38, 52, 192, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//194 QXmlNamePool::QXmlNamePool(const QXmlNamePool&)
    {38, 172, 192, 1, 0, 64, 3},	//195 QXmlNamePool::operator=(const QXmlNamePool&)
    {38, 274, 0, 0, Smoke::mf_dtor, 0, 4 },	//196 QXmlNamePool::~QXmlNamePool()
    {39, 54, 0, 0, Smoke::mf_ctor, 67, 1},	//197 QXmlNodeModelIndex::QXmlNodeModelIndex()
    {39, 54, 31, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 67, 2},	//198 QXmlNodeModelIndex::QXmlNodeModelIndex(const QXmlNodeModelIndex&)
    {39, 174, 31, 1, Smoke::mf_const, 156, 3},	//199 QXmlNodeModelIndex::operator==(const QXmlNodeModelIndex&) const
    {39, 167, 31, 1, Smoke::mf_const, 156, 4},	//200 QXmlNodeModelIndex::operator!=(const QXmlNodeModelIndex&) const
    {39, 102, 0, 0, Smoke::mf_const, 192, 5},	//201 QXmlNodeModelIndex::data() const
    {39, 124, 0, 0, Smoke::mf_const, 195, 6},	//202 QXmlNodeModelIndex::internalPointer() const
    {39, 149, 0, 0, Smoke::mf_const, 158, 7},	//203 QXmlNodeModelIndex::model() const
    {39, 73, 0, 0, Smoke::mf_const, 192, 8},	//204 QXmlNodeModelIndex::additionalData() const
    {39, 131, 0, 0, Smoke::mf_const, 156, 9},	//205 QXmlNodeModelIndex::isNull() const
    {39, 195, 0, 0, 0, 0, 10},	//206 QXmlNodeModelIndex::reset()
    {39, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 11},	//207 QXmlNodeModelIndex::Attribute (enum)
    {39, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 12},	//208 QXmlNodeModelIndex::Comment (enum)
    {39, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 13},	//209 QXmlNodeModelIndex::Document (enum)
    {39, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 14},	//210 QXmlNodeModelIndex::Element (enum)
    {39, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 15},	//211 QXmlNodeModelIndex::Namespace (enum)
    {39, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 16},	//212 QXmlNodeModelIndex::ProcessingInstruction (enum)
    {39, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 17},	//213 QXmlNodeModelIndex::Text (enum)
    {39, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 18},	//214 QXmlNodeModelIndex::Precedes (enum)
    {39, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 19},	//215 QXmlNodeModelIndex::Is (enum)
    {39, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 20},	//216 QXmlNodeModelIndex::Follows (enum)
    {39, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 21},	//217 QXmlNodeModelIndex::AxisChild (enum)
    {39, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 22},	//218 QXmlNodeModelIndex::AxisDescendant (enum)
    {39, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 23},	//219 QXmlNodeModelIndex::AxisAttribute (enum)
    {39, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 24},	//220 QXmlNodeModelIndex::AxisSelf (enum)
    {39, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 25},	//221 QXmlNodeModelIndex::AxisDescendantOrSelf (enum)
    {39, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 26},	//222 QXmlNodeModelIndex::AxisFollowingSibling (enum)
    {39, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 27},	//223 QXmlNodeModelIndex::AxisNamespace (enum)
    {39, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 28},	//224 QXmlNodeModelIndex::AxisFollowing (enum)
    {39, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 29},	//225 QXmlNodeModelIndex::AxisParent (enum)
    {39, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 30},	//226 QXmlNodeModelIndex::AxisAncestor (enum)
    {39, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 31},	//227 QXmlNodeModelIndex::AxisPrecedingSibling (enum)
    {39, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 32},	//228 QXmlNodeModelIndex::AxisPreceding (enum)
    {39, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 33},	//229 QXmlNodeModelIndex::AxisAncestorOrSelf (enum)
    {39, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 34},	//230 QXmlNodeModelIndex::AxisChildOrTop (enum)
    {39, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 35},	//231 QXmlNodeModelIndex::AxisAttributeOrTop (enum)
    {39, 275, 0, 0, Smoke::mf_dtor, 0, 36 },	//232 QXmlNodeModelIndex::~QXmlNodeModelIndex()
    {40, 56, 0, 0, Smoke::mf_ctor, 73, 1},	//233 QXmlQuery::QXmlQuery()
    {40, 56, 223, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 73, 2},	//234 QXmlQuery::QXmlQuery(const QXmlQuery&)
    {40, 56, 192, 1, Smoke::mf_ctor, 73, 3},	//235 QXmlQuery::QXmlQuery(const QXmlNamePool&)
    {40, 56, 225, 2, Smoke::mf_ctor, 73, 4},	//236 QXmlQuery::QXmlQuery(QXmlQuery::QueryLanguage, const QXmlNamePool&)
    {40, 172, 223, 1, 0, 72, 5},	//237 QXmlQuery::operator=(const QXmlQuery&)
    {40, 219, 228, 1, 0, 0, 6},	//238 QXmlQuery::setMessageHandler(QAbstractMessageHandler*)
    {40, 147, 0, 0, Smoke::mf_const, 1, 7},	//239 QXmlQuery::messageHandler() const
    {40, 223, 230, 2, 0, 0, 8},	//240 QXmlQuery::setQuery(const QString&, const QUrl&)
    {40, 223, 233, 2, 0, 0, 9},	//241 QXmlQuery::setQuery(QIODevice*, const QUrl&)
    {40, 223, 28, 2, 0, 0, 10},	//242 QXmlQuery::setQuery(const QUrl&, const QUrl&)
    {40, 152, 0, 0, Smoke::mf_const, 63, 11},	//243 QXmlQuery::namePool() const
    {40, 82, 236, 2, 0, 0, 12},	//244 QXmlQuery::bindVariable(const QXmlName&, const QXmlItem&)
    {40, 82, 239, 2, 0, 0, 13},	//245 QXmlQuery::bindVariable(const QString&, const QXmlItem&)
    {40, 82, 242, 2, 0, 0, 14},	//246 QXmlQuery::bindVariable(const QXmlName&, QIODevice*)
    {40, 82, 245, 2, 0, 0, 15},	//247 QXmlQuery::bindVariable(const QString&, QIODevice*)
    {40, 82, 248, 2, 0, 0, 16},	//248 QXmlQuery::bindVariable(const QXmlName&, const QXmlQuery&)
    {40, 82, 251, 2, 0, 0, 17},	//249 QXmlQuery::bindVariable(const QString&, const QXmlQuery&)
    {40, 132, 0, 0, Smoke::mf_const, 156, 18},	//250 QXmlQuery::isValid() const
    {40, 111, 254, 1, Smoke::mf_const, 0, 19},	//251 QXmlQuery::evaluateTo(QXmlResultItems*) const
    {40, 111, 256, 1, Smoke::mf_const, 156, 20},	//252 QXmlQuery::evaluateTo(QAbstractXmlReceiver*) const
    {40, 111, 258, 1, Smoke::mf_const, 156, 21},	//253 QXmlQuery::evaluateTo(QStringList*) const
    {40, 111, 260, 1, Smoke::mf_const, 156, 22},	//254 QXmlQuery::evaluateTo(QIODevice*) const
    {40, 111, 262, 1, Smoke::mf_const, 156, 23},	//255 QXmlQuery::evaluateTo(QString*) const
    {40, 232, 264, 1, 0, 0, 24},	//256 QXmlQuery::setUriResolver(const QAbstractUriResolver*)
    {40, 259, 0, 0, Smoke::mf_const, 157, 25},	//257 QXmlQuery::uriResolver() const
    {40, 209, 154, 1, 0, 0, 26},	//258 QXmlQuery::setFocus(const QXmlItem&)
    {40, 209, 198, 1, 0, 156, 27},	//259 QXmlQuery::setFocus(const QUrl&)
    {40, 209, 260, 1, 0, 156, 28},	//260 QXmlQuery::setFocus(QIODevice*)
    {40, 209, 64, 1, 0, 156, 29},	//261 QXmlQuery::setFocus(const QString&)
    {40, 214, 42, 1, 0, 0, 30},	//262 QXmlQuery::setInitialTemplateName(const QXmlName&)
    {40, 214, 64, 1, 0, 0, 31},	//263 QXmlQuery::setInitialTemplateName(const QString&)
    {40, 123, 0, 0, Smoke::mf_const, 59, 32},	//264 QXmlQuery::initialTemplateName() const
    {40, 221, 266, 1, 0, 0, 33},	//265 QXmlQuery::setNetworkAccessManager(QNetworkAccessManager*)
    {40, 161, 0, 0, Smoke::mf_const, 27, 34},	//266 QXmlQuery::networkAccessManager() const
    {40, 194, 0, 0, Smoke::mf_const, 74, 35},	//267 QXmlQuery::queryLanguage() const
    {40, 56, 268, 1, Smoke::mf_ctor, 73, 36},	//268 QXmlQuery::QXmlQuery(QXmlQuery::QueryLanguage)
    {40, 223, 64, 1, 0, 0, 37},	//269 QXmlQuery::setQuery(const QString&)
    {40, 223, 260, 1, 0, 0, 38},	//270 QXmlQuery::setQuery(QIODevice*)
    {40, 223, 198, 1, 0, 0, 39},	//271 QXmlQuery::setQuery(const QUrl&)
    {40, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 40},	//272 QXmlQuery::XQuery10 (enum)
    {40, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 41},	//273 QXmlQuery::XSLT20 (enum)
    {40, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 42},	//274 QXmlQuery::XmlSchema11IdentityConstraintSelector (enum)
    {40, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 43},	//275 QXmlQuery::XmlSchema11IdentityConstraintField (enum)
    {40, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 44},	//276 QXmlQuery::XPath20 (enum)
    {40, 276, 0, 0, Smoke::mf_dtor, 0, 45 },	//277 QXmlQuery::~QXmlQuery()
    {41, 60, 0, 0, Smoke::mf_ctor, 75, 1},	//278 QXmlResultItems::QXmlResultItems()
    {41, 121, 0, 0, Smoke::mf_const, 156, 2},	//279 QXmlResultItems::hasError() const
    {41, 162, 0, 0, 0, 56, 3},	//280 QXmlResultItems::next()
    {41, 100, 0, 0, Smoke::mf_const, 56, 4},	//281 QXmlResultItems::current() const
    {41, 277, 0, 0, Smoke::mf_dtor, 0, 5 },	//282 QXmlResultItems::~QXmlResultItems()
    {42, 61, 0, 0, Smoke::mf_ctor, 77, 1},	//283 QXmlSchema::QXmlSchema()
    {42, 61, 270, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 2},	//284 QXmlSchema::QXmlSchema(const QXmlSchema&)
    {42, 138, 198, 1, 0, 156, 3},	//285 QXmlSchema::load(const QUrl&)
    {42, 138, 233, 2, 0, 156, 4},	//286 QXmlSchema::load(QIODevice*, const QUrl&)
    {42, 138, 272, 2, 0, 156, 5},	//287 QXmlSchema::load(const QByteArray&, const QUrl&)
    {42, 132, 0, 0, Smoke::mf_const, 156, 6},	//288 QXmlSchema::isValid() const
    {42, 152, 0, 0, Smoke::mf_const, 63, 7},	//289 QXmlSchema::namePool() const
    {42, 104, 0, 0, Smoke::mf_const, 51, 8},	//290 QXmlSchema::documentUri() const
    {42, 219, 228, 1, 0, 0, 9},	//291 QXmlSchema::setMessageHandler(QAbstractMessageHandler*)
    {42, 147, 0, 0, Smoke::mf_const, 1, 10},	//292 QXmlSchema::messageHandler() const
    {42, 232, 264, 1, 0, 0, 11},	//293 QXmlSchema::setUriResolver(const QAbstractUriResolver*)
    {42, 259, 0, 0, Smoke::mf_const, 157, 12},	//294 QXmlSchema::uriResolver() const
    {42, 221, 266, 1, 0, 0, 13},	//295 QXmlSchema::setNetworkAccessManager(QNetworkAccessManager*)
    {42, 161, 0, 0, Smoke::mf_const, 27, 14},	//296 QXmlSchema::networkAccessManager() const
    {42, 138, 260, 1, 0, 156, 15},	//297 QXmlSchema::load(QIODevice*)
    {42, 138, 275, 1, 0, 156, 16},	//298 QXmlSchema::load(const QByteArray&)
    {42, 278, 0, 0, Smoke::mf_dtor, 0, 17 },	//299 QXmlSchema::~QXmlSchema()
    {43, 63, 0, 0, Smoke::mf_ctor, 78, 1},	//300 QXmlSchemaValidator::QXmlSchemaValidator()
    {43, 63, 270, 1, Smoke::mf_ctor, 78, 2},	//301 QXmlSchemaValidator::QXmlSchemaValidator(const QXmlSchema&)
    {43, 228, 270, 1, 0, 0, 3},	//302 QXmlSchemaValidator::setSchema(const QXmlSchema&)
    {43, 260, 198, 1, Smoke::mf_const, 156, 4},	//303 QXmlSchemaValidator::validate(const QUrl&) const
    {43, 260, 233, 2, Smoke::mf_const, 156, 5},	//304 QXmlSchemaValidator::validate(QIODevice*, const QUrl&) const
    {43, 260, 272, 2, Smoke::mf_const, 156, 6},	//305 QXmlSchemaValidator::validate(const QByteArray&, const QUrl&) const
    {43, 152, 0, 0, Smoke::mf_const, 63, 7},	//306 QXmlSchemaValidator::namePool() const
    {43, 200, 0, 0, Smoke::mf_const, 76, 8},	//307 QXmlSchemaValidator::schema() const
    {43, 219, 228, 1, 0, 0, 9},	//308 QXmlSchemaValidator::setMessageHandler(QAbstractMessageHandler*)
    {43, 147, 0, 0, Smoke::mf_const, 1, 10},	//309 QXmlSchemaValidator::messageHandler() const
    {43, 232, 264, 1, 0, 0, 11},	//310 QXmlSchemaValidator::setUriResolver(const QAbstractUriResolver*)
    {43, 259, 0, 0, Smoke::mf_const, 157, 12},	//311 QXmlSchemaValidator::uriResolver() const
    {43, 221, 266, 1, 0, 0, 13},	//312 QXmlSchemaValidator::setNetworkAccessManager(QNetworkAccessManager*)
    {43, 161, 0, 0, Smoke::mf_const, 27, 14},	//313 QXmlSchemaValidator::networkAccessManager() const
    {43, 260, 260, 1, Smoke::mf_const, 156, 15},	//314 QXmlSchemaValidator::validate(QIODevice*) const
    {43, 260, 275, 1, Smoke::mf_const, 156, 16},	//315 QXmlSchemaValidator::validate(const QByteArray&) const
    {43, 279, 0, 0, Smoke::mf_dtor, 0, 17 },	//316 QXmlSchemaValidator::~QXmlSchemaValidator()
    {44, 65, 203, 2, Smoke::mf_ctor, 79, 1},	//317 QXmlSerializer::QXmlSerializer(const QXmlQuery&, QIODevice*)
    {44, 153, 42, 1, Smoke::mf_virtual, 0, 2},	//318 QXmlSerializer::namespaceBinding(const QXmlName&)
    {44, 85, 66, 1, Smoke::mf_virtual, 0, 3},	//319 QXmlSerializer::characters(const QStringRef&)
    {44, 90, 64, 1, Smoke::mf_virtual, 0, 4},	//320 QXmlSerializer::comment(const QString&)
    {44, 237, 42, 1, Smoke::mf_virtual, 0, 5},	//321 QXmlSerializer::startElement(const QXmlName&)
    {44, 109, 0, 0, Smoke::mf_virtual, 0, 6},	//322 QXmlSerializer::endElement()
    {44, 76, 61, 2, Smoke::mf_virtual, 0, 7},	//323 QXmlSerializer::attribute(const QXmlName&, const QStringRef&)
    {44, 184, 68, 2, Smoke::mf_virtual, 0, 8},	//324 QXmlSerializer::processingInstruction(const QXmlName&, const QString&)
    {44, 74, 71, 1, Smoke::mf_virtual, 0, 9},	//325 QXmlSerializer::atomicValue(const QVariant&)
    {44, 236, 0, 0, Smoke::mf_virtual, 0, 10},	//326 QXmlSerializer::startDocument()
    {44, 108, 0, 0, Smoke::mf_virtual, 0, 11},	//327 QXmlSerializer::endDocument()
    {44, 239, 0, 0, Smoke::mf_virtual, 0, 12},	//328 QXmlSerializer::startOfSequence()
    {44, 110, 0, 0, Smoke::mf_virtual, 0, 13},	//329 QXmlSerializer::endOfSequence()
    {44, 181, 0, 0, Smoke::mf_const, 22, 14},	//330 QXmlSerializer::outputDevice() const
    {44, 205, 277, 1, 0, 0, 15},	//331 QXmlSerializer::setCodec(const QTextCodec*)
    {44, 88, 0, 0, Smoke::mf_const, 178, 16},	//332 QXmlSerializer::codec() const
    {44, 133, 73, 1, Smoke::mf_virtual, 0, 17},	//333 QXmlSerializer::item(const QPatternist::Item&)
    {44, 280, 0, 0, Smoke::mf_dtor, 0, 18 },	//334 QXmlSerializer::~QXmlSerializer()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    79,  // QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    81,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    83,  // QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    90,  // QGlobalSpace::operator<<(QDebug, const QSslError&)
    93,  // QGlobalSpace::operator<<(QDebug, const QSourceLocation&)
    96,  // QGlobalSpace::operator<<(QDebug, const QSslKey&)
    101,  // QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    107,  // QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    110,  // QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    111,  // QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    0,
    80,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    82,  // QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    91,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    92,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    95,  // QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    108,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    0,
    100,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    113,  // QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    0,
    84,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    85,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    88,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    89,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    94,  // QGlobalSpace::operator|(QSsl::SslOption, int)
    102,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    103,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    104,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    106,  // QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    112,  // QGlobalSpace::operator|(QSsl::SslOption, QSsl::SslOption)
    114,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    115,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    116,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    117,  // QGlobalSpace::operator|(QSsl::SslOption, QFlags<QSsl::SslOption>)
    118,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    0,
    87,  // QGlobalSpace::qHash(const QSourceLocation&)
    97,  // QGlobalSpace::qHash(const QXmlNodeModelIndex&)
    98,  // QGlobalSpace::qHash(const QHostAddress&)
    99,  // QGlobalSpace::qHash(const QXmlName&)
    0,
    105,  // QGlobalSpace::qIsForwardIteratorEnd(const QXmlNodeModelIndex&)
    109,  // QGlobalSpace::qIsForwardIteratorEnd(const QXmlItem&)
    0,
    234,  // QXmlQuery::QXmlQuery(const QXmlQuery&)
    235,  // QXmlQuery::QXmlQuery(const QXmlNamePool&)
    0,
    244,  // QXmlQuery::bindVariable(const QXmlName&, const QXmlItem&)
    246,  // QXmlQuery::bindVariable(const QXmlName&, QIODevice*)
    248,  // QXmlQuery::bindVariable(const QXmlName&, const QXmlQuery&)
    0,
    245,  // QXmlQuery::bindVariable(const QString&, const QXmlItem&)
    247,  // QXmlQuery::bindVariable(const QString&, QIODevice*)
    249,  // QXmlQuery::bindVariable(const QString&, const QXmlQuery&)
    0,
    251,  // QXmlQuery::evaluateTo(QXmlResultItems*) const
    252,  // QXmlQuery::evaluateTo(QAbstractXmlReceiver*) const
    254,  // QXmlQuery::evaluateTo(QIODevice*) const
    0,
    258,  // QXmlQuery::setFocus(const QXmlItem&)
    259,  // QXmlQuery::setFocus(const QUrl&)
    260,  // QXmlQuery::setFocus(QIODevice*)
    0,
    270,  // QXmlQuery::setQuery(QIODevice*)
    271,  // QXmlQuery::setQuery(const QUrl&)
    0,
    241,  // QXmlQuery::setQuery(QIODevice*, const QUrl&)
    242,  // QXmlQuery::setQuery(const QUrl&, const QUrl&)
    0,
    303,  // QXmlSchemaValidator::validate(const QUrl&) const
    314,  // QXmlSchemaValidator::validate(QIODevice*) const
    315,  // QXmlSchemaValidator::validate(const QByteArray&) const
    0,
    304,  // QXmlSchemaValidator::validate(QIODevice*, const QUrl&) const
    305,  // QXmlSchemaValidator::validate(const QByteArray&, const QUrl&) const
    0,
    167,  // QXmlItem::QXmlItem(const QXmlItem&)
    168,  // QXmlItem::QXmlItem(const QXmlNodeModelIndex&)
    169,  // QXmlItem::QXmlItem(const QVariant&)
    0,
    51,  // QAbstractXmlNodeModel::createIndex(long long) const
    54,  // QAbstractXmlNodeModel::createIndex(void*) const
    0,
    52,  // QAbstractXmlNodeModel::createIndex(void*, long long) const
    53,  // QAbstractXmlNodeModel::createIndex(long long, long long) const
    0,
    135,  // QSourceLocation::QSourceLocation(const QSourceLocation&)
    147,  // QSourceLocation::QSourceLocation(const QUrl&)
    0,
    285,  // QXmlSchema::load(const QUrl&)
    297,  // QXmlSchema::load(QIODevice*)
    298,  // QXmlSchema::load(const QByteArray&)
    0,
    286,  // QXmlSchema::load(QIODevice*, const QUrl&)
    287,  // QXmlSchema::load(const QByteArray&, const QUrl&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 31, 13},	// QAbstractMessageHandler::QAbstractMessageHandler
    {1, 32, 8},	// QAbstractMessageHandler::QAbstractMessageHandler#
    {1, 120, 10},	// QAbstractMessageHandler::handleMessage$$##
    {1, 144, 14},	// QAbstractMessageHandler::message$$
    {1, 145, 15},	// QAbstractMessageHandler::message$$#
    {1, 146, 9},	// QAbstractMessageHandler::message$$##
    {1, 148, 1},	// QAbstractMessageHandler::metaObject
    {1, 191, 7},	// QAbstractMessageHandler::qt_metacall$$?
    {1, 193, 2},	// QAbstractMessageHandler::qt_metacast$
    {1, 240, 16},	// QAbstractMessageHandler::staticMetaObject
    {1, 249, 11},	// QAbstractMessageHandler::tr$
    {1, 250, 3},	// QAbstractMessageHandler::tr$$
    {1, 251, 5},	// QAbstractMessageHandler::tr$$$
    {1, 253, 12},	// QAbstractMessageHandler::trUtf8$
    {1, 254, 4},	// QAbstractMessageHandler::trUtf8$$
    {1, 255, 6},	// QAbstractMessageHandler::trUtf8$$$
    {1, 265, 17},	// QAbstractMessageHandler::~QAbstractMessageHandler
    {2, 33, 29},	// QAbstractUriResolver::QAbstractUriResolver
    {2, 34, 25},	// QAbstractUriResolver::QAbstractUriResolver#
    {2, 148, 18},	// QAbstractUriResolver::metaObject
    {2, 191, 24},	// QAbstractUriResolver::qt_metacall$$?
    {2, 193, 19},	// QAbstractUriResolver::qt_metacast$
    {2, 197, 26},	// QAbstractUriResolver::resolve##
    {2, 240, 30},	// QAbstractUriResolver::staticMetaObject
    {2, 249, 27},	// QAbstractUriResolver::tr$
    {2, 250, 20},	// QAbstractUriResolver::tr$$
    {2, 251, 22},	// QAbstractUriResolver::tr$$$
    {2, 253, 28},	// QAbstractUriResolver::trUtf8$
    {2, 254, 21},	// QAbstractUriResolver::trUtf8$$
    {2, 255, 23},	// QAbstractUriResolver::trUtf8$$$
    {2, 266, 31},	// QAbstractUriResolver::~QAbstractUriResolver
    {3, 20, 56},	// QAbstractXmlNodeModel::FirstChild
    {3, 22, 59},	// QAbstractXmlNodeModel::InheritNamespaces
    {3, 25, 58},	// QAbstractXmlNodeModel::NextSibling
    {3, 26, 55},	// QAbstractXmlNodeModel::Parent
    {3, 28, 60},	// QAbstractXmlNodeModel::PreserveNamespaces
    {3, 29, 57},	// QAbstractXmlNodeModel::PreviousSibling
    {3, 35, 32},	// QAbstractXmlNodeModel::QAbstractXmlNodeModel
    {3, 79, 50},	// QAbstractXmlNodeModel::attributes#
    {3, 81, 33},	// QAbstractXmlNodeModel::baseUri#
    {3, 93, 36},	// QAbstractXmlNodeModel::compareOrder##
    {3, 96, 47},	// QAbstractXmlNodeModel::copyNodeTo###
    {3, 98, -82},	// QAbstractXmlNodeModel::createIndex$
    {3, 99, -85},	// QAbstractXmlNodeModel::createIndex$$
    {3, 105, 34},	// QAbstractXmlNodeModel::documentUri#
    {3, 107, 45},	// QAbstractXmlNodeModel::elementById#
    {3, 127, 42},	// QAbstractXmlNodeModel::isDeepEqual##
    {3, 136, 35},	// QAbstractXmlNodeModel::kind#
    {3, 151, 38},	// QAbstractXmlNodeModel::name#
    {3, 156, 44},	// QAbstractXmlNodeModel::namespaceBindings#
    {3, 158, 41},	// QAbstractXmlNodeModel::namespaceForPrefix#$
    {3, 164, 49},	// QAbstractXmlNodeModel::nextFromSimpleAxis$#
    {3, 166, 46},	// QAbstractXmlNodeModel::nodesByIdref#
    {3, 199, 37},	// QAbstractXmlNodeModel::root#
    {3, 204, 43},	// QAbstractXmlNodeModel::sendNamespaces##
    {3, 235, 48},	// QAbstractXmlNodeModel::sourceLocation#
    {3, 242, 39},	// QAbstractXmlNodeModel::stringValue#
    {3, 257, 40},	// QAbstractXmlNodeModel::typedValue#
    {3, 267, 61},	// QAbstractXmlNodeModel::~QAbstractXmlNodeModel
    {4, 36, 62},	// QAbstractXmlReceiver::QAbstractXmlReceiver
    {4, 75, 71},	// QAbstractXmlReceiver::atomicValue#
    {4, 77, 65},	// QAbstractXmlReceiver::attribute##
    {4, 86, 67},	// QAbstractXmlReceiver::characters#
    {4, 91, 66},	// QAbstractXmlReceiver::comment$
    {4, 108, 69},	// QAbstractXmlReceiver::endDocument
    {4, 109, 64},	// QAbstractXmlReceiver::endElement
    {4, 110, 74},	// QAbstractXmlReceiver::endOfSequence
    {4, 134, 76},	// QAbstractXmlReceiver::item#
    {4, 154, 72},	// QAbstractXmlReceiver::namespaceBinding#
    {4, 185, 70},	// QAbstractXmlReceiver::processingInstruction#$
    {4, 202, 77},	// QAbstractXmlReceiver::sendAsNode#
    {4, 236, 68},	// QAbstractXmlReceiver::startDocument
    {4, 238, 63},	// QAbstractXmlReceiver::startElement#
    {4, 239, 73},	// QAbstractXmlReceiver::startOfSequence
    {4, 264, 75},	// QAbstractXmlReceiver::whitespaceOnly#
    {4, 268, 78},	// QAbstractXmlReceiver::~QAbstractXmlReceiver
    {11, 170, -1},	// QGlobalSpace::operator<<##
    {11, 171, -12},	// QGlobalSpace::operator<<#$
    {11, 176, 86},	// QGlobalSpace::operator==$#
    {11, 178, -19},	// QGlobalSpace::operator>>##
    {11, 180, -22},	// QGlobalSpace::operator|$$
    {11, 187, -38},	// QGlobalSpace::qHash#
    {11, 189, -43},	// QGlobalSpace::qIsForwardIteratorEnd#
    {24, 38, 126},	// QSimpleXmlNodeModel::QSimpleXmlNodeModel#
    {24, 81, 127},	// QSimpleXmlNodeModel::baseUri#
    {24, 107, 131},	// QSimpleXmlNodeModel::elementById#
    {24, 152, 128},	// QSimpleXmlNodeModel::namePool
    {24, 156, 129},	// QSimpleXmlNodeModel::namespaceBindings#
    {24, 166, 132},	// QSimpleXmlNodeModel::nodesByIdref#
    {24, 242, 130},	// QSimpleXmlNodeModel::stringValue#
    {24, 269, 133},	// QSimpleXmlNodeModel::~QSimpleXmlNodeModel
    {25, 39, 134},	// QSourceLocation::QSourceLocation
    {25, 40, -88},	// QSourceLocation::QSourceLocation#
    {25, 41, 148},	// QSourceLocation::QSourceLocation#$
    {25, 42, 136},	// QSourceLocation::QSourceLocation#$$
    {25, 89, 140},	// QSourceLocation::column
    {25, 131, 146},	// QSourceLocation::isNull
    {25, 137, 142},	// QSourceLocation::line
    {25, 168, 139},	// QSourceLocation::operator!=#
    {25, 173, 137},	// QSourceLocation::operator=#
    {25, 175, 138},	// QSourceLocation::operator==#
    {25, 208, 141},	// QSourceLocation::setColumn$
    {25, 218, 143},	// QSourceLocation::setLine$
    {25, 231, 145},	// QSourceLocation::setUri#
    {25, 258, 144},	// QSourceLocation::uri
    {25, 270, 149},	// QSourceLocation::~QSourceLocation
    {35, 44, 150},	// QXmlFormatter::QXmlFormatter##
    {35, 75, 157},	// QXmlFormatter::atomicValue#
    {35, 77, 155},	// QXmlFormatter::attribute##
    {35, 86, 151},	// QXmlFormatter::characters#
    {35, 91, 152},	// QXmlFormatter::comment$
    {35, 108, 159},	// QXmlFormatter::endDocument
    {35, 109, 154},	// QXmlFormatter::endElement
    {35, 110, 161},	// QXmlFormatter::endOfSequence
    {35, 122, 162},	// QXmlFormatter::indentationDepth
    {35, 134, 164},	// QXmlFormatter::item#
    {35, 185, 156},	// QXmlFormatter::processingInstruction#$
    {35, 213, 163},	// QXmlFormatter::setIndentationDepth$
    {35, 236, 158},	// QXmlFormatter::startDocument
    {35, 238, 153},	// QXmlFormatter::startElement#
    {35, 239, 160},	// QXmlFormatter::startOfSequence
    {35, 271, 165},	// QXmlFormatter::~QXmlFormatter
    {36, 45, 166},	// QXmlItem::QXmlItem
    {36, 46, -78},	// QXmlItem::QXmlItem#
    {36, 125, 173},	// QXmlItem::isAtomicValue
    {36, 130, 172},	// QXmlItem::isNode
    {36, 131, 171},	// QXmlItem::isNull
    {36, 173, 170},	// QXmlItem::operator=#
    {36, 244, 174},	// QXmlItem::toAtomicValue
    {36, 247, 175},	// QXmlItem::toNodeModelIndex
    {36, 272, 176},	// QXmlItem::~QXmlItem
    {37, 47, 177},	// QXmlName::QXmlName
    {37, 48, 189},	// QXmlName::QXmlName#
    {37, 49, 190},	// QXmlName::QXmlName#$
    {37, 50, 191},	// QXmlName::QXmlName#$$
    {37, 51, 178},	// QXmlName::QXmlName#$$$
    {37, 118, 188},	// QXmlName::fromClarkName$#
    {37, 129, 187},	// QXmlName::isNCName$
    {37, 131, 186},	// QXmlName::isNull
    {37, 142, 181},	// QXmlName::localName#
    {37, 160, 179},	// QXmlName::namespaceUri#
    {37, 168, 184},	// QXmlName::operator!=#
    {37, 173, 185},	// QXmlName::operator=#
    {37, 175, 183},	// QXmlName::operator==#
    {37, 183, 180},	// QXmlName::prefix#
    {37, 246, 182},	// QXmlName::toClarkName#
    {37, 273, 192},	// QXmlName::~QXmlName
    {38, 52, 193},	// QXmlNamePool::QXmlNamePool
    {38, 53, 194},	// QXmlNamePool::QXmlNamePool#
    {38, 173, 195},	// QXmlNamePool::operator=#
    {38, 274, 196},	// QXmlNamePool::~QXmlNamePool
    {39, 1, 207},	// QXmlNodeModelIndex::Attribute
    {39, 2, 226},	// QXmlNodeModelIndex::AxisAncestor
    {39, 3, 229},	// QXmlNodeModelIndex::AxisAncestorOrSelf
    {39, 4, 219},	// QXmlNodeModelIndex::AxisAttribute
    {39, 5, 231},	// QXmlNodeModelIndex::AxisAttributeOrTop
    {39, 6, 217},	// QXmlNodeModelIndex::AxisChild
    {39, 7, 230},	// QXmlNodeModelIndex::AxisChildOrTop
    {39, 8, 218},	// QXmlNodeModelIndex::AxisDescendant
    {39, 9, 221},	// QXmlNodeModelIndex::AxisDescendantOrSelf
    {39, 10, 224},	// QXmlNodeModelIndex::AxisFollowing
    {39, 11, 222},	// QXmlNodeModelIndex::AxisFollowingSibling
    {39, 12, 223},	// QXmlNodeModelIndex::AxisNamespace
    {39, 13, 225},	// QXmlNodeModelIndex::AxisParent
    {39, 14, 228},	// QXmlNodeModelIndex::AxisPreceding
    {39, 15, 227},	// QXmlNodeModelIndex::AxisPrecedingSibling
    {39, 16, 220},	// QXmlNodeModelIndex::AxisSelf
    {39, 17, 208},	// QXmlNodeModelIndex::Comment
    {39, 18, 209},	// QXmlNodeModelIndex::Document
    {39, 19, 210},	// QXmlNodeModelIndex::Element
    {39, 21, 216},	// QXmlNodeModelIndex::Follows
    {39, 23, 215},	// QXmlNodeModelIndex::Is
    {39, 24, 211},	// QXmlNodeModelIndex::Namespace
    {39, 27, 214},	// QXmlNodeModelIndex::Precedes
    {39, 30, 212},	// QXmlNodeModelIndex::ProcessingInstruction
    {39, 54, 197},	// QXmlNodeModelIndex::QXmlNodeModelIndex
    {39, 55, 198},	// QXmlNodeModelIndex::QXmlNodeModelIndex#
    {39, 67, 213},	// QXmlNodeModelIndex::Text
    {39, 73, 204},	// QXmlNodeModelIndex::additionalData
    {39, 102, 201},	// QXmlNodeModelIndex::data
    {39, 124, 202},	// QXmlNodeModelIndex::internalPointer
    {39, 131, 205},	// QXmlNodeModelIndex::isNull
    {39, 149, 203},	// QXmlNodeModelIndex::model
    {39, 168, 200},	// QXmlNodeModelIndex::operator!=#
    {39, 175, 199},	// QXmlNodeModelIndex::operator==#
    {39, 195, 206},	// QXmlNodeModelIndex::reset
    {39, 275, 232},	// QXmlNodeModelIndex::~QXmlNodeModelIndex
    {40, 56, 233},	// QXmlQuery::QXmlQuery
    {40, 57, -46},	// QXmlQuery::QXmlQuery#
    {40, 58, 268},	// QXmlQuery::QXmlQuery$
    {40, 59, 236},	// QXmlQuery::QXmlQuery$#
    {40, 68, 276},	// QXmlQuery::XPath20
    {40, 69, 272},	// QXmlQuery::XQuery10
    {40, 70, 273},	// QXmlQuery::XSLT20
    {40, 71, 275},	// QXmlQuery::XmlSchema11IdentityConstraintField
    {40, 72, 274},	// QXmlQuery::XmlSchema11IdentityConstraintSelector
    {40, 83, -49},	// QXmlQuery::bindVariable##
    {40, 84, -53},	// QXmlQuery::bindVariable$#
    {40, 112, -57},	// QXmlQuery::evaluateTo#
    {40, 113, 255},	// QXmlQuery::evaluateTo$
    {40, 114, 253},	// QXmlQuery::evaluateTo?
    {40, 123, 264},	// QXmlQuery::initialTemplateName
    {40, 132, 250},	// QXmlQuery::isValid
    {40, 147, 239},	// QXmlQuery::messageHandler
    {40, 152, 243},	// QXmlQuery::namePool
    {40, 161, 266},	// QXmlQuery::networkAccessManager
    {40, 173, 237},	// QXmlQuery::operator=#
    {40, 194, 267},	// QXmlQuery::queryLanguage
    {40, 210, -61},	// QXmlQuery::setFocus#
    {40, 211, 261},	// QXmlQuery::setFocus$
    {40, 215, 262},	// QXmlQuery::setInitialTemplateName#
    {40, 216, 263},	// QXmlQuery::setInitialTemplateName$
    {40, 220, 238},	// QXmlQuery::setMessageHandler#
    {40, 222, 265},	// QXmlQuery::setNetworkAccessManager#
    {40, 224, -65},	// QXmlQuery::setQuery#
    {40, 225, -68},	// QXmlQuery::setQuery##
    {40, 226, 269},	// QXmlQuery::setQuery$
    {40, 227, 240},	// QXmlQuery::setQuery$#
    {40, 233, 256},	// QXmlQuery::setUriResolver#
    {40, 259, 257},	// QXmlQuery::uriResolver
    {40, 276, 277},	// QXmlQuery::~QXmlQuery
    {41, 60, 278},	// QXmlResultItems::QXmlResultItems
    {41, 100, 281},	// QXmlResultItems::current
    {41, 121, 279},	// QXmlResultItems::hasError
    {41, 162, 280},	// QXmlResultItems::next
    {41, 277, 282},	// QXmlResultItems::~QXmlResultItems
    {42, 61, 283},	// QXmlSchema::QXmlSchema
    {42, 62, 284},	// QXmlSchema::QXmlSchema#
    {42, 104, 290},	// QXmlSchema::documentUri
    {42, 132, 288},	// QXmlSchema::isValid
    {42, 139, -91},	// QXmlSchema::load#
    {42, 140, -95},	// QXmlSchema::load##
    {42, 147, 292},	// QXmlSchema::messageHandler
    {42, 152, 289},	// QXmlSchema::namePool
    {42, 161, 296},	// QXmlSchema::networkAccessManager
    {42, 220, 291},	// QXmlSchema::setMessageHandler#
    {42, 222, 295},	// QXmlSchema::setNetworkAccessManager#
    {42, 233, 293},	// QXmlSchema::setUriResolver#
    {42, 259, 294},	// QXmlSchema::uriResolver
    {42, 278, 299},	// QXmlSchema::~QXmlSchema
    {43, 63, 300},	// QXmlSchemaValidator::QXmlSchemaValidator
    {43, 64, 301},	// QXmlSchemaValidator::QXmlSchemaValidator#
    {43, 147, 309},	// QXmlSchemaValidator::messageHandler
    {43, 152, 306},	// QXmlSchemaValidator::namePool
    {43, 161, 313},	// QXmlSchemaValidator::networkAccessManager
    {43, 200, 307},	// QXmlSchemaValidator::schema
    {43, 220, 308},	// QXmlSchemaValidator::setMessageHandler#
    {43, 222, 312},	// QXmlSchemaValidator::setNetworkAccessManager#
    {43, 229, 302},	// QXmlSchemaValidator::setSchema#
    {43, 233, 310},	// QXmlSchemaValidator::setUriResolver#
    {43, 259, 311},	// QXmlSchemaValidator::uriResolver
    {43, 261, -71},	// QXmlSchemaValidator::validate#
    {43, 262, -75},	// QXmlSchemaValidator::validate##
    {43, 279, 316},	// QXmlSchemaValidator::~QXmlSchemaValidator
    {44, 66, 317},	// QXmlSerializer::QXmlSerializer##
    {44, 75, 325},	// QXmlSerializer::atomicValue#
    {44, 77, 323},	// QXmlSerializer::attribute##
    {44, 86, 319},	// QXmlSerializer::characters#
    {44, 88, 332},	// QXmlSerializer::codec
    {44, 91, 320},	// QXmlSerializer::comment$
    {44, 108, 327},	// QXmlSerializer::endDocument
    {44, 109, 322},	// QXmlSerializer::endElement
    {44, 110, 329},	// QXmlSerializer::endOfSequence
    {44, 134, 333},	// QXmlSerializer::item#
    {44, 154, 318},	// QXmlSerializer::namespaceBinding#
    {44, 181, 330},	// QXmlSerializer::outputDevice
    {44, 185, 324},	// QXmlSerializer::processingInstruction#$
    {44, 206, 331},	// QXmlSerializer::setCodec#
    {44, 236, 326},	// QXmlSerializer::startDocument
    {44, 238, 321},	// QXmlSerializer::startElement#
    {44, 239, 328},	// QXmlSerializer::startOfSequence
    {44, 280, 334},	// QXmlSerializer::~QXmlSerializer
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtxmlpatterns_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtxmlpatterns_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtxmlpatterns_Smoke = new Smoke(
        "qtxmlpatterns",
        __smokeqtxmlpatterns::classes, 44,
        __smokeqtxmlpatterns::methods, 335,
        __smokeqtxmlpatterns::methodMaps, 273,
        __smokeqtxmlpatterns::methodNames, 280,
        __smokeqtxmlpatterns::types, 197,
        __smokeqtxmlpatterns::inheritanceList,
        __smokeqtxmlpatterns::argumentList,
        __smokeqtxmlpatterns::ambiguousMethodList,
        __smokeqtxmlpatterns::cast );
    initialized = true;
}

void delete_qtxmlpatterns_Smoke() { delete qtxmlpatterns_Smoke; }

}
